SpellSuggestions Class

Defines a suggested query string that likely represents the user's intent. The search results include this response if Bing determines that the user may have intended to search for something different. For example, if the user searches for alon brown, Bing may determine that the user likely intended to search for Alton Brown instead (based on past searches by others of Alon Brown).

Variables are only populated by the server, and will be ignored when sending a request.

All required parameters must be populated in order to send to Azure.

Inheritance
azure.cognitiveservices.search.websearch.models._models_py3.SearchResultsAnswer
SpellSuggestions

Constructor

SpellSuggestions(*, value, **kwargs)

Parameters

_type
str
Required

Required. Constant filled by server.

value
list[Query]
Required

Required. A list of suggested query strings that may represent the user's intention. The list contains only one Query object.

Variables

id
str

A String identifier.

web_search_url
str

The URL To Bing's search result for this item.

follow_up_queries
list[Query]
query_context
QueryContext
total_estimated_matches
<xref:long>

The estimated number of webpages that are relevant to the query. Use this number along with the count and offset query parameters to page the results.

is_family_friendly
bool